program T_real2str

use std_type
use japigraf2

integer :: delka
real(kind=DP) :: cislo
character(len=50) :: cstr

do
	print *,"Zadej cislo"
	read *,cislo
	if (cislo>10000000.0_DP) exit
	call Real2Str(cislo,cstr,delka)
	print *, cstr,"  ",delka
end do


end program T_real2str
